curl --request GET \
--url https://api.qovery.com/application/{applicationId}/commit \
--header 'Authorization: Bearer <token>'{
"results": [
{
"created_at": "2023-11-07T05:31:56Z",
"git_commit_id": "<string>",
"tag": "v2.1.1",
"message": "<string>",
"author_name": "<string>",
"author_avatar_url": "<string>",
"commit_page_url": "<string>"
}
]
}Returns list of the last 100 commits made on the repository linked to the application
curl --request GET \
--url https://api.qovery.com/application/{applicationId}/commit \
--header 'Authorization: Bearer <token>'{
"results": [
{
"created_at": "2023-11-07T05:31:56Z",
"git_commit_id": "<string>",
"tag": "v2.1.1",
"message": "<string>",
"author_name": "<string>",
"author_avatar_url": "<string>",
"commit_page_url": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Application ID
Starting point after which to return results
Git Commit ID
List commits
Show child attributes
Was this page helpful?